package com.ruoyi.system.service.loan;

import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.domain.loan.LoanApplicationFj;

import java.util.List;


/**
 * 贷款申请_附件Service接口
 * 
 * @author boman
 * @date 2024-04-24
 */
public interface ILoanApplicationFjService 
{
    /**
     * 查询贷款申请_附件
     * 
     * @param fjId 贷款申请_附件主键
     * @return 贷款申请_附件
     */
    public LoanApplicationFj selectLoanApplicationFjByFjId(Long fjId);

    /**
     * 查询贷款申请_附件列表
     * 
     * @param loanApplicationFj 贷款申请_附件
     * @return 贷款申请_附件集合
     */
    public List<LoanApplicationFj> selectLoanApplicationFjList(LoanApplicationFj loanApplicationFj);

    /**
     * 新增贷款申请_附件
     * 
     * @param loanApplicationFj 贷款申请_附件
     * @return 结果
     */
    public int insertLoanApplicationFj(List<LoanApplicationFj> loanApplicationFj);

    /**
     * 修改贷款申请_附件
     * 
     * @param loanApplicationFj 贷款申请_附件
     * @return 结果
     */
    public int updateLoanApplicationFj(List<LoanApplicationFj> loanApplicationFj);

    /**
     * 批量删除贷款申请_附件
     * 
     * @param fjIds 需要删除的贷款申请_附件主键集合
     * @return 结果
     */
    public int deleteLoanApplicationFjByFjIds(Long[] fjIds);

    /**
     * 删除贷款申请_附件信息
     * 
     * @param fjId 贷款申请_附件主键
     * @return 结果
     */
    public int deleteLoanApplicationFjByFjId(Long fjId);

    public int deleteLoanApplicationFj(LoanApplicationFj loanApplicationFj);

    AjaxResult ewmList(LoanApplicationFj loanApplicationFj);
}
